Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004228TestLinkReportspublic2011-02-07 13:112011-03-18 19:08
ReporterJulian 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004228: Requirement based Report - Add more detailed requirement evalutation states for better analysis
DescriptionRequirement based Report - Add more detailed requirement evalutation states for better analysis

Right now states of requirements on requirement based report can be:
"Not Run, Passed, Failed, Blocked, Partially Passed, Uncovered"

Those states do not tell users anything about the coverage of the requirement.

Example (current behaviour): Requirement needs 3 test cases for full coverage, but only 1 test case is linked. If this test case is executed as for example "Failed" the whole requirement will be evaluated as "Failed.

-> Add a corresponding state for "Not Run, Passed, Failed, Blocked, Partially Passed" to indicate that the requirement is not fully covered:

- Not Run (nfc)
- Passed (nfc)
- Failed (nfc)
- Blocked (nfc)
- Partially Passed (nfc)

-> full set of req evaluation states:

- Uncovered
- Not Run
- Passed
- Failed
- Blocked
- Partially Passed
- Not Run (nfc)
- Passed (nfc)
- Failed (nfc)
- Blocked (nfc)
- Partially Passed (nfc)
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0013974)
fman (administrator)
2011-03-18 19:08

release - 1.9.2 - 20110320

- Issue History
Date Modified Username Field Change
2011-02-07 13:11 Julian New Issue
2011-02-07 13:11 Julian Status new => assigned
2011-02-07 13:11 Julian Assigned To => Julian
2011-02-07 14:01 Julian Status assigned => work in progress
2011-02-11 08:41 Julian Status work in progress => assigned
2011-02-11 08:41 Julian Status assigned => resolved
2011-02-11 08:41 Julian Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-02-11 08:41 Julian Resolution open => fixed
2011-03-18 19:08 fman Note Added: 0013974
2011-03-18 19:08 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker